set echo on
set termout on
set trimspool on

spool cached.log

-- turn on cursor caching to show how it eliminates
-- soft parses

alter session set session_cached_cursors=50;


set serveroutput on

CREATE OR REPLACE PROCEDURE testparse2(num_executions number) is
     dummy_var        VARCHAR2(1); 
  BEGIN 
 
     FOR i IN 1..num_executions LOOP
               
  -- run query normally       
       SELECT dummy into dummy_var from dual;
     
     END LOOP;
 
  END; 
/ 
show errors

select sn.name,ms.value
from V$MYSTAT ms,V$STATNAME sn
where
ms.STATISTIC#=sn.STATISTIC# and
(name like  '%parse%' or name = 'execute count');

execute testparse2(1000);

select sn.name,ms.value
from V$MYSTAT ms,V$STATNAME sn
where
ms.STATISTIC#=sn.STATISTIC# and
(name like  '%parse%' or name = 'execute count');


spool off
